/**
 * <copyright>
 * </copyright>
 *
 * $Id: CategoryValidator.java,v 1.2 2007-08-04 15:27:05 ffillion Exp $
 */
package org.openembedd.checker.modelConfig.validation;

import org.eclipse.emf.common.util.EList;

import org.openembedd.checker.modelConfig.Category;
import org.openembedd.checker.modelConfig.Configuration;

/**
 * A sample validator interface for {@link org.openembedd.checker.modelConfig.Category}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface CategoryValidator {
	boolean validate();

	boolean validateOwner(Configuration value);
	boolean validateParent(Category value);
	boolean validateChildren(EList<?> value);
}
